Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.environmentmapping
Class CubeMap

    java.lang.Object
      de.rico.engine.effect.environmentmapping.CubeMap

All Implemented Interfaces:
  EnvironmentMappingIface

    public class CubeMap

extends java.lang.Object
implements EnvironmentMappingIface

This class represents a environment cube map

Author:
  Frank Bruns (originally based on code by Malte Mathiszig)

Constructor Summary
`CubeMap(com.sun.opengl.util.texture.Texture cubeMapTex)` Creates a new cube map with the specified cube map texture.

Method Summary
`void` | `bind(javax.media.opengl.GL gl)` Binds the environment map to the mesh and starts using it.
`void` | `release(javax.media.opengl.GL gl)` Stops using the environment map
`void` | `setNegX(java.lang.String negX)` Sets the path to the negative x texture
`void` | `setNegY(java.lang.String negY)` Sets the path to the negative y texture
`void` | `setNegZ(java.lang.String negZ)` Sets the path to the negative z texture
`void` | `setPosX(java.lang.String posX)` Sets the path to the positive x texture
`void` | `setPosY(java.lang.String posY)` Sets the path to the positive y texture
`void` | `setPosZ(java.lang.String posZ)` Sets the path to the positive z texture

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CubeMap

    public CubeMap(com.sun.opengl.util.texture.Texture cubeMapTex)

  Creates a new cube map with the specified cube map texture. You have to create a cube map texture by using the Tools.createCubeMapTexture() method.

  Parameters:
    `cubeMapTex` - cube map texture

Method Detail

### bind

    public void bind(javax.media.opengl.GL gl)

  Description copied from interface: `EnvironmentMappingIface`
  Binds the environment map to the mesh and starts using it.

  Specified by:
    `bind` in interface `EnvironmentMappingIface`

### release

    public void release(javax.media.opengl.GL gl)

  Description copied from interface: `EnvironmentMappingIface`
  Stops using the environment map

  Specified by:
    `release` in interface `EnvironmentMappingIface`

### setNegX

    public void setNegX(java.lang.String negX)

  Sets the path to the negative x texture

  Parameters:
    `negX` - negative x texture path

### setNegY

    public void setNegY(java.lang.String negY)

  Sets the path to the negative y texture

  Parameters:
    `negY` - negative y texture path

### setNegZ

    public void setNegZ(java.lang.String negZ)

  Sets the path to the negative z texture

  Parameters:
    `negZ` - negative z texture path

### setPosX

    public void setPosX(java.lang.String posX)

  Sets the path to the positive x texture

  Parameters:
    `posX` - negative x texture path

### setPosY

    public void setPosY(java.lang.String posY)

  Sets the path to the positive y texture

  Parameters:
    `posY` - negative y texture path

### setPosZ

    public void setPosZ(java.lang.String posZ)

  Sets the path to the positive z texture

  Parameters:
    `posZ` - negative z texture path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD